@ECHO OFF
SETLOCAL

ECHO IS: INFO: is31805: %0 has been started

IF "%1" == "" (
    ECHO IS: ERROR: is31802: Required command argument is missing
    ECHO USAGE: %0 -d target-directory
    goto END
)

IF "%2" == "" (
    ECHO IS: ERROR: is31802: Required command argument is missing
    ECHO USAGE: %0 -d target-directory
    goto END
)

IF NOT "%1" == "-d" (
    ECHO IS: ERROR: is31802: Required command argument is missing
    ECHO USAGE: %0 -d target-directory
    goto END
)

IF NOT EXIST "%2" (
    ECHO IS: ERROR: is31803: Command argument was invalid ^(%2^)
    goto END
)

IF EXIST "%2\F3FMihs" (
    ECHO IS: ERROR: is31801: Making the directory was failed^(path=%2\F3FMihs^)
    goto END
)

MKDIR "%2\F3FMihs"

FOR /D %%i IN ("%IS_HOME%\F3FMihs\servers\*") DO  (

    MKDIR "%2\F3FMihs\%%~ni"
    COPY /Y "%IS_HOME%\F3FMihs\servers\%%~ni\conf\httpd.conf" "%2\F3FMihs\%%~ni"
)

ECHO IS: INFO: is31806: %0 has been finished normally

:END
EXIT /B 0
ENDLOCAL
